VC驿站

 找回密码
 加入驿站

QQ登录

只需一步,快速开始

搜索
查看: 373|回复: 11

Win10下VC++6.0MFC程序报User breakpoint called from code at 0x7710f106

[复制链接]
43_avatar_middle
最佳答案
0 
在线会员 发表于 2020-11-9 17:20:12 | 显示全部楼层 |阅读模式
一、环境:
操作系统:Windows10
编程环境:VC++6.0简体中文企业版(同时安装有VS2017、VS2017,安装并卸载了VS2015)

二、问题:
1、Debug编译通过,无error无warning,点击运行后无反应,无对话框弹出。
2、加断点调试,OnInitDialog里的断点无法命中,MainApp::InitInstance()中的断点有时可以命中,有时无法命中,不管会不会命中最后都会报如图所示的错误
Win10下VC++6.0MFC程序报User breakpoint called from code at 0x7710f106

这是初始化时候的函数,调试过程中发现,nResponse=dlg.DoModal()返回值为-1
Win10下VC++6.0MFC程序报User breakpoint called from code at 0x7710f106

三、目的
这个是以前的老程序,WinXP+VC6.0开发的,因为有个项目要用,迁移到Win10+VS上很多东西要重写,所以初步打算是在Win10+VC环境下调试,能跑起来就行,还请专家们不吝赐教,如果有纠错方向也希望能提供,谢谢大家了




上一篇:主函数调用类的指针函数返回值问题
下一篇:MFC 多文档打开图片
43_avatar_middle
最佳答案
0 
ico_lz  楼主| 发表于 2020-11-9 17:21:27 | 显示全部楼层
如果有解决方法或者思路,欢迎回帖或者欢迎联系我的QQ1138947292
58_avatar_middle
最佳答案
45 
online_vip 发表于 2020-11-9 20:01:27 | 显示全部楼层
zhangtian776 发表于 2020-11-9 17:21
如果有解决方法或者思路,欢迎回帖或者欢迎联系我的QQ1138947292

syc说过这个问题,vc6先升vs2003 vs2005 vs2008 vs2010 vs2012 vs2013,这样一级一级往上升,就不会出问题,跨的版本太多,就容易出问题,做好备份麻烦点,从VC6升VS2005 VS2008 VS2010 VS2012,以后的一般可以顺利升级。
58_avatar_middle
最佳答案
45 
online_vip 发表于 2020-11-9 20:02:33 | 显示全部楼层
zhangtian776 发表于 2020-11-9 17:21
如果有解决方法或者思路,欢迎回帖或者欢迎联系我的QQ1138947292

https://www.cctry.com/thread-1-1-1.html
这里有工具下载地址,有些失效的,网上找找,一般升到VS2008,找些QQ群,看谁装了低版本的VS,让他们帮着升级。
43_avatar_middle
最佳答案
0 
ico_lz  楼主| 发表于 2020-11-9 20:45:10 | 显示全部楼层
thzzl 发表于 2020-11-9 20:01
syc说过这个问题,vc6先升vs2003 vs2005 vs2008 vs2010 vs2012 vs2013,这样一级一级往上升,就不会出问 ...

这个的目的是不升级,直接在win10上用VC++6.0开发
43_avatar_middle
最佳答案
0 
ico_lz  楼主| 发表于 2020-11-9 20:49:59 | 显示全部楼层
thzzl 发表于 2020-11-9 20:01
syc说过这个问题,vc6先升vs2003 vs2005 vs2008 vs2010 vs2012 vs2013,这样一级一级往上升,就不会出问 ...

而且,现在VC6.0也没法正常运行,更不能升级Win10下VC++6.0MFC程序报User breakpoint called from code at 0x7710f106
58_avatar_middle
最佳答案
45 
online_vip 发表于 2020-11-9 20:54:00 | 显示全部楼层
zhangtian776 发表于 2020-11-9 20:49
而且,现在VC6.0也没法正常运行,更不能升级

看看sln是什么版本的,如果是高版本,用vc6自然不能用。
43_avatar_middle
最佳答案
0 
ico_lz  楼主| 发表于 2020-11-9 20:55:46 | 显示全部楼层
thzzl 发表于 2020-11-9 20:54
看看sln是什么版本的,如果是高版本,用vc6自然不能用。


没有sln,直接是VC6的工程

Win10下VC++6.0MFC程序报User breakpoint called from code at 0x7710f106
58_avatar_middle
最佳答案
45 
online_vip 发表于 2020-11-9 21:09:06 | 显示全部楼层
zhangtian776 发表于 2020-11-9 20:55
没有sln,直接是VC6的工程

那我不知道了, 百度 site: csdn.net  xxx,查查CSDN博客试试。
43_avatar_middle
最佳答案
0 
ico_lz  楼主| 发表于 2020-11-9 21:09:46 | 显示全部楼层
thzzl 发表于 2020-11-9 21:09
那我不知道了, 百度 site: csdn.net  xxx,查查CSDN博客试试。

查过了,没有;StackOverflow也提问过了,没有
74_avatar_middle
最佳答案
0 
donate_vip 发表于 2020-11-13 10:57:22 | 显示全部楼层
我用的vc6.0_cn_full(完整绿色版)(支持XP、Win7、Win8、Win10),在win10上面还没出过上面问题,你可以试一下,确实不行你就在虚拟机里面吧,安装精简版就行。这个是虚拟机的链接https://www.cctry.com/forum.php?mod=viewthread&tid=275929
31_avatar_middle
最佳答案
0 
在线会员 发表于 2020-11-16 18:27:20 | 显示全部楼层
你既然不考虑升级,又要在win10用VC6编译,那么为何不在虚拟机XP\win2003下用VC6编译?这样多省事!
您需要登录后才可以回帖 登录 | 加入驿站 qq_login

本版积分规则

×【发帖 友情提示】
1、请回复有意义的内容,请勿恶意灌水;
2、纯数字、字母、表情等无意义的内容系统将自动删除;
3、若正常回复后帖子被自动删除,为系统误删的情况,请重新回复其他正常内容或等待管理员审核通过后会自动发布;
4、感谢您对VC驿站一如既往的支持,谢谢合作!

关闭

站长提醒上一条 /2 下一条

QQ|小黑屋|手机版|VC驿站 ( 辽ICP备09019393号 )|网站地图wx_jqr

GMT+8, 2020-12-2 17:46

Powered by CcTry.CoM

© 2009-2020 cctry.com

快速回复 返回顶部 返回列表